Loading...
Searching...
No Matches
edid.h File Reference
`#include <l4/sys/compiler.h>`
Include dependency graph for edid.h:

Go to the source code of this file.

## Enumerations

enum | Libedid_consts { Libedid_block_size = 128 }
| EDID constants. More...

## Functions

int | libedid_check_header (const unsigned char *edid)
| Check for valid EDID header.
int | libedid_checksum (const unsigned char *edid)
| Calculates the EDID checksum.
unsigned | libedid_version (const unsigned char *edid)
| Returns the EDID version number.
unsigned | libedid_revision (const unsigned char *edid)
| Returns the EDID revision number.
void | libedid_pnp_id (const unsigned char *edid, unsigned char *id)
| Extracts the display's PnP ID.
void | libedid_prefered_resolution (const unsigned char *edid, unsigned *w, unsigned *h)
| Extract the display's prefered mode.
unsigned | libedid_num_ext_blocks (const unsigned char *edid)
| Get the number of EDID extension blocks.
unsigned | libedid_dump_standard_timings (const unsigned char *edid)
| Dump the standard timings to stdout.
void | libedid_dump (const unsigned char *edid)
| Dump raw EDID data to stdout.